0
0 Items$0.00

1.2mH Radial Leaded Power Inductors :

12 Products Found
Find a huge range of 1.2mH Radial Leaded Power Inductors at Newark Electronics Mexico. We stock a wide range of Radial Leaded Power Inductors, such as 1mH, 100µH, 470µH & 22µH Radial Leaded Power Inductors from the worlds top manufacturers including: Coilcraft, Wurth Elektronik, Kemet, Bourns & Abracon

All Filters

(1 Applied)

Expand Filters
Compare
Manufacturer Part No
Order Code
Manufacturer / Description
Availability
Price for
Price
Quantity
Product Range
Inductance
Inductor Construction
RMS Current (Irms)
Saturation Current (Isat)
DC Resistance Max
Inductance Tolerance
32T8668

RoHS

Each
1+$1.710
25+$1.640
100+$1.390
250+$1.340
500+$1.290
More Pricing...
WE-TI Series
1.2mH
Unshielded
400mA
450mA
2.64ohm
± 10%
31Y3942

RoHS

Date/Lot Code

Each
1+$1.750
10+$1.510
25+$1.390
50+$1.250
100+$1.110
More Pricing...
RFC0810 Series
1.2mH
Unshielded
460mA
580mA
2.7ohm
± 10%
31Y3976

RoHS

Date/Lot Code

Each
1+$1.740
10+$1.500
25+$1.400
50+$1.260
100+$1.110
More Pricing...
RFC1010 Series
1.2mH
Unshielded
610mA
750mA
1.85ohm
± 10%
31Y3777

RoHS

Date/Lot Code

Each
1+$1.520
10+$1.310
25+$1.210
50+$1.090
100+$0.973
More Pricing...
RFB0807 Series
1.2mH
Unshielded
340mA
280mA
4.5ohm
± 10%
58AK1913

RoHS

Each
1+$2.580
25+$2.470
100+$2.080
250+$1.930
500+$1.890
More Pricing...
WE-TI Series
1.2mH
Unshielded
700mA
750mA
1.4ohm
± 5%
65AK5869

RoHS

Each
1+$1.110
10+$0.870
25+$0.849
50+$0.827
100+$0.785
More Pricing...
AIUR-06 Series
1.2mH
Unshielded
610mA
800mA
1.5ohm
± 10%
01AH7908

RoHS

Each (Supplied on Cut Tape)
Cut Tape
1+$3.080
25+$2.950
100+$2.730
250+$2.490
500+$2.260
More Pricing...
SBCP Series
1.2mH
Unshielded
320mA
450mA
2.6ohm
± 10%
32M9850

RoHS

Date/Lot Code

Each
1000+$0.427
2000+$0.416
3000+$0.403
5000+$0.396
10000+$0.387
More Pricing...
RLB9012 Series
1.2mH
Unshielded
480mA
-
2.9ohm
± 10%
66AH0194

RoHS

Each
1+$1.340
10+$1.140
25+$1.100
50+$1.050
100+$0.884
More Pricing...
SBC Series
1.2mH
Unshielded
280mA
280mA
2.7ohm
± 10%
31Y3825

RoHS

Date/Lot Code

Each
1+$1.950
25+$1.550
100+$1.240
250+$1.220
500+$1.190
More Pricing...
RFB0810 Series
1.2mH
Unshielded
470mA
400mA
2.8ohm
± 10%
81Y7174

RoHS

Date/Lot Code

Each
1+$2.500
25+$2.010
100+$1.550
250+$1.530
500+$1.510
More Pricing...
RFS1317 Series
1.2mH
Shielded
810mA
720mA
1.19ohm
± 10%
31Y3904

RoHS

Date/Lot Code

Each
1+$1.180
10+$1.000
25+$0.923
50+$0.834
100+$0.743
More Pricing...
RFC0807 Series
1.2mH
Unshielded
350mA
560mA
3.85ohm
± 10%
1-12 of 12 items
of 1 page(s)

Popular Suppliers

MURATA
PANASONIC
VISHAY
MULTICOMP PRO
KEMET
BOURNS
OHMITE
TE CONNECTIVITY
TDK